> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/configuration-upload-jobs.md).

# Configuration Upload Jobs

## Gets a list of upload jobs

> This endpoint is used to fetch all the upload jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/":{"get":{"operationId":"ux_nccm_uploadjobs_list","description":"This endpoint is used to fetch all the upload jobs in the current organization","summary":"Gets a list of upload jobs","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UploadJobs"}}}},"description":""}}}}}}
```

## POST /ux/nccm/uploadjobs/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/":{"post":{"operationId":"ux_nccm_uploadjobs_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Gets a upload job details with the given id

> This endpoint is used to fetch a Upload jobs in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/{id}/":{"get":{"operationId":"ux_nccm_uploadjobs_retrieve","description":"This endpoint is used to fetch a Upload jobs in the current organization","summary":"Gets a upload job details with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## PUT /ux/nccm/uploadjobs/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/{id}/":{"put":{"operationId":"ux_nccm_uploadjobs_update","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Deletes the upload job with given id

> This endpoint is used to delete an existing upload job for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/uploadjobs/{id}/":{"delete":{"operationId":"ux_nccm_uploadjobs_destroy","description":"This endpoint is used to delete an existing upload job for the current organization","summary":"Deletes the upload job with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Upload Jobs"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Return status of deletion

> This endpoint is to delete multiple job.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/bulk-delete-ujob/":{"post":{"operationId":"ux_nccm_uploadjobs_bulk_delete_ujob_create","description":"This endpoint is to delete multiple job.","summary":"Return status of deletion","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Return status of deletion

> This endpoint is to change upload job state.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/bulk-toggle-ujob-state/":{"post":{"operationId":"ux_nccm_uploadjobs_bulk_toggle_ujob_state_create","description":"This endpoint is to change upload job state.","summary":"Return status of deletion","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Return status of deletion

> This endpoint is to change upload job task state.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/bulk-toggle-ujobtask-state/":{"post":{"operationId":"ux_nccm_uploadjobs_bulk_toggle_ujobtask_state_create","description":"This endpoint is to change upload job task state.","summary":"Return status of deletion","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Get the options for the Triggered based review.

> This endpoint is used to get Asset and its resource options for the triggered based review.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/device-options/":{"get":{"operationId":"ux_nccm_uploadjobs_device_options_retrieve","description":"This endpoint is used to get Asset and its resource options for the triggered based review.","summary":"Get the options for the Triggered based review.","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Export Review Task.

> This endpoint is used for PDF export of review task details.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/export-review/":{"post":{"operationId":"ux_nccm_uploadjobs_export_review_create","description":"This endpoint is used for PDF export of review task details.","summary":"Export Review Task.","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Return the formated data for Task Flow Chart

> This endpoint is form the data for Task Flow Chart.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/format-flowchart-data/":{"post":{"operationId":"ux_nccm_uploadjobs_format_flowchart_data_create","description":"This endpoint is form the data for Task Flow Chart.","summary":"Return the formated data for Task Flow Chart","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## GET /ux/nccm/uploadjobs/get-template-id/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/get-template-id/":{"get":{"operationId":"ux_nccm_uploadjobs_get_template_id_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Gets a list of jobs retry queue

> This endpoint is used to fecth all jobs retry queue list in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/jobs-retry-queue/":{"get":{"operationId":"ux_nccm_uploadjobs_jobs_retry_queue_retrieve","description":"This endpoint is used to fecth all jobs retry queue list in the current organization","summary":"Gets a list of jobs retry queue","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Get the options for the Upload Jobs

> This endpoint is used to get the default options for Upload Jobs

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/options/":{"get":{"operationId":"ux_nccm_uploadjobs_options_retrieve","description":"This endpoint is used to get the default options for Upload Jobs","summary":"Get the options for the Upload Jobs","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Return the templates data

> This endpoint to get the templates for the Simple Upload Job.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/quick-job-templates/":{"get":{"operationId":"ux_nccm_uploadjobs_quick_job_templates_retrieve","description":"This endpoint to get the templates for the Simple Upload Job.","summary":"Return the templates data","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Validate Upload Job Task.

> This endpoint is used to validate the upload job task.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/quick-task-validation/":{"post":{"operationId":"ux_nccm_uploadjobs_quick_task_validation_create","description":"This endpoint is used to validate the upload job task.","summary":"Validate Upload Job Task.","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Edits the upload job result with given id

> This endpoint is used to edit an existing upload job result for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/rerun-all-devices/":{"get":{"operationId":"ux_nccm_uploadjobs_rerun_all_devices_retrieve","description":"This endpoint is used to edit an existing upload job result for the current organization","summary":"Edits the upload job result with given id","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Rerun Upload job

> This endpoint is used to trigger upload job rerun for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/rerun-job/":{"get":{"operationId":"ux_nccm_uploadjobs_rerun_job_retrieve","description":"This endpoint is used to trigger upload job rerun for the current organization","summary":"Rerun Upload job","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Edits the upload job result ips with given id

> This endpoint is used to edit an existing upload job result ips for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/rerun-result-ip/":{"get":{"operationId":"ux_nccm_uploadjobs_rerun_result_ip_retrieve","description":"This endpoint is used to edit an existing upload job result ips for the current organization","summary":"Edits the upload job result ips with given id","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Review Upload Job Task.

> This endpoint is used to review added tasks.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/review-task/":{"post":{"operationId":"ux_nccm_uploadjobs_review_task_create","description":"This endpoint is used to review added tasks.","summary":"Review Upload Job Task.","tags":["Configuration Upload Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UploadJobs"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Return Csv for Runtime values which is added

> This endpoint is to Download Csv for Runtime values which is added.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_time":{"type":"string","format":"date-time"},"tzone":{"type":"string"},"is_enabled":{"type":"boolean","default":true},"progress":{"type":"boolean"},"job_starttime":{"type":"string","format":"date-time"},"job_endtime":{"type":"string","format":"date-time"},"is_approval_require":{"type":"boolean"},"approval_status":{"type":"integer"},"approved_by":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"last_updated_time":{"type":"string","format":"date-time"},"back_end_job":{"type":"boolean"},"agent_info":{"type":"object","additionalProperties":{}},"notification_sent":{"type":"boolean"},"additional_info":{"type":"object","additionalProperties":{}}},"required":["agent_detail","agent_hostname","agent_id","agent_ip","agent_status","close_job_hide_key","frequency","id","is_private","job_id","job_status","last_action_time_obj","next_action_time_obj","next_schedule_hide","organization","perf_attrs","schedule_details","teams_list","user_list"]}}},"paths":{"/ux/nccm/uploadjobs/runtime-csv-added/":{"get":{"operationId":"ux_nccm_uploadjobs_runtime_csv_added_retrieve","description":"This endpoint is to Download Csv for Runtime values which is added.","summary":"Return Csv for Runtime values which is added","tags":["Configuration Upload Jobs"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadJobs"}}},"description":""}}}}}}
```

## Return the data for Runtime fields

> This endpoint is form the data for Runtime fields.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UploadJobs":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"agent_id":{"type":"string","readOnly":true},"agent_ip":{"type":"string","readOnly":true},"agent_detail":{"type":"string","readOnly":true},"agent_hostname":{"type":"string","readOnly":true},"job_status":{"type":"string","readOnly":true},"schedule_details":{"type":"string","readOnly":true},"next_action_time_obj":{"type":"string","readOnly":true},"last_action_time_obj":{"type":"string","readOnly":true},"frequency":{"type":"string","readOnly":true},"agent_status":{"type":"string","readOnly":true},"perf_attrs":{"type":"string","readOnly":true},"is_private":{"type":"string","readOnly":true},"user_list":{"type":"string","readOnly":true},"teams_list":{"type":"string","readOnly":true},"next_schedule_hide":{"type":"string","readOnly":true},"close_job_hide_key":{"type":"string","readOnly":true},"job_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"created_by":{"type":"string"},"modified_by":{"type":"string"},"is_deleted":{"type":"boolean"},"job_name":{"type":"string"},"job_type":{"type":"string"},"notifier_id":{"type":"array","items":{}},"associate_users":{"type":"array","items":{}},"associate_groups":{"type":"array","items":{}},"visibility":{"type":"string"},"execution_window":{"type":"string","default":"24 Hours"},"upload_schedule":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"check_download":{"type":"boolean"},"status":{"type":"integer"},"job_iteration_id":{"type":"string"},"last_action_time":{"type":"string","format":"date-time"},"next_action_ti
[...]
